export declare function delayedPromise(delay: number): Promise<void>;
export declare function timeoutPromise<T>(promise: Promise<T>, ms: number, message?: string): Promise<T>;
export interface RetryPromiseOptions {
    interval: number;
    retries: number;
    timeout?: number;
    timeoutMessage?: string;
}
export declare function retryPromise<T>(promiseProvider: () => Promise<T>, {interval, retries, timeout, timeoutMessage}: RetryPromiseOptions): Promise<T>;
